/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.testbug.db.entity.BugManagement;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：缺陷管理
*
* createdate:  2021-10-08 16:05:30  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@ApiModel(description = "缺陷管理")
public class BugManagementDetailDto extends BugManagement implements Serializable
{
    @ApiModelProperty("缺陷注释信息")
    private List<BugLogDetailDto> bugLogDetailDtos;

    @ApiModelProperty("缺陷变更记录信息")
    private List<BugRecordDetailDto> bugRecordDetailDtos;

    @ApiModelProperty("缺陷关联信息")
    private List<BugCorrelationLinkDetailDto> correlationLinkDetailDtos;

    @ApiModelProperty("创建人")
    private String createdByName;

    @ApiModelProperty("分配人")
    private String receiverName;

    @ApiModelProperty("修复人")
    private String repairUserName;

    @ApiModelProperty("修复时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date repairTime;

    @ApiModelProperty("关闭日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date closeTime;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    @ApiModelProperty("项目名称")
    private String proName;

    @ApiModelProperty("系统名称")
    private String systemName;

    @ApiModelProperty("轮次名称")
    private String roundName;

    @ApiModelProperty("关联类型")
    private String linkType;

    @ApiModelProperty("是否有附件0-无，1有")
    private String existFile;
    @ApiModelProperty("是否有关联用例0-无，1有")
    private String existCase;
    @ApiModelProperty("")
    private String isExit;

    public String getIsExit() {
        return isExit;
    }

    public void setIsExit(String isExit) {
        this.isExit = isExit;
    }

    public String getLinkType() {
        return linkType;
    }

    public void setLinkType(String linkType) {
        this.linkType = linkType;
    }

    public String getRoundName() {
        return roundName;
    }

    public void setRoundName(String roundName) {
        this.roundName = roundName;
    }

    public String getSystemName() {
        return systemName;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public String getProName() {
        return proName;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public List<BugCorrelationLinkDetailDto> getCorrelationLinkDetailDtos() {
        return correlationLinkDetailDtos;
    }

    public void setCorrelationLinkDetailDtos(List<BugCorrelationLinkDetailDto> correlationLinkDetailDtos) {
        this.correlationLinkDetailDtos = correlationLinkDetailDtos;
    }

    public List<BugLogDetailDto> getBugLogDetailDtos() {
        return bugLogDetailDtos;
    }

    public void setBugLogDetailDtos(List<BugLogDetailDto> bugLogDetailDtos) {
        this.bugLogDetailDtos = bugLogDetailDtos;
    }

    public List<BugRecordDetailDto> getBugRecordDetailDtos() {
        return bugRecordDetailDtos;
    }

    public void setBugRecordDetailDtos(List<BugRecordDetailDto> bugRecordDetailDtos) {
        this.bugRecordDetailDtos = bugRecordDetailDtos;
    }

    public String getCreatedByName() {
        return createdByName;
    }

    public void setCreatedByName(String createdByName) {
        this.createdByName = createdByName;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public String getRepairUserName() {
        return repairUserName;
    }

    public void setRepairUserName(String repairUserName) {
        this.repairUserName = repairUserName;
    }

    @Override
    public Date getRepairTime() {
        return repairTime;
    }

    @Override
    public void setRepairTime(Date repairTime) {
        this.repairTime = repairTime;
    }

    @Override
    public Date getCloseTime() {
        return closeTime;
    }

    @Override
    public void setCloseTime(Date closeTime) {
        this.closeTime = closeTime;
    }

    @Override
    public Date getCreatedTime() {
        return createdTime;
    }

    @Override
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    @Override
    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getExistFile() {
        return existFile;
    }

    public void setExistFile(String existFile) {
        this.existFile = existFile;
    }

    public String getExistCase() {
        return existCase;
    }

    public void setExistCase(String existCase) {
        this.existCase = existCase;
    }

    @Override
    public String toString() {
        return "BugManagementDetailDto{" +
                "bugLogDetailDtos=" + bugLogDetailDtos +
                ", bugRecordDetailDtos=" + bugRecordDetailDtos +
                ", correlationLinkDetailDtos=" + correlationLinkDetailDtos +
                ", createdByName='" + createdByName + '\'' +
                ", receiverName='" + receiverName + '\'' +
                ", repairUserName='" + repairUserName + '\'' +
                ", repairTime=" + repairTime +
                ", closeTime=" + closeTime +
                ", createdTime=" + createdTime +
                ", updatedTime=" + updatedTime +
                ", proName='" + proName + '\'' +
                ", systemName='" + systemName + '\'' +
                ", roundName='" + roundName + '\'' +
                ", existFile='" + existFile + '\'' +
                ", existCase='" + existCase + '\'' +
                '}';
    }

}